<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{AE1B694E-19DB-4718-99C9-208D83A4F440}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>GatewayTool</RootNamespace>
    <AssemblyName>GatewayTool</AssemblyName>
    <TargetFrameworkVersion>v4.6.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>favicon.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Design" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="WjwLib.API.Algorithm, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.API.Algorithm.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.API.Communication, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.API.Communication.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.API.Configuration, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.API.Configuration.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.API.File, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.API.File.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.API.System, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.API.System.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.Control.IPAddressBox, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.Control.IPAddressBox.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.Control.LEDNumber, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.Control.LEDNumber.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.Control.LogWindow, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.Control.LogWindow.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.Control.Switcher, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.Control.Switcher.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.Control.WaitLayer, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.Control.WaitLayer.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.Frame.FormBase, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.Frame.FormBase.dll</HintPath>
    </Reference>
    <Reference Include="WjwLib.Frame.Log, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\Debug\WjwLib.Frame.Log.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Businesses\ServiceOptions.cs" />
    <Compile Include="Businesses\SoftwareConfigs.cs" />
    <Compile Include="FormAbout.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormAbout.Designer.cs">
      <DependentUpon>FormAbout.cs</DependentUpon>
    </Compile>
    <Compile Include="FormBase.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormBase.Designer.cs">
      <DependentUpon>FormBase.cs</DependentUpon>
    </Compile>
    <Compile Include="FormConfig.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormConfig.Designer.cs">
      <DependentUpon>FormConfig.cs</DependentUpon>
    </Compile>
    <Compile Include="FormJson.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormJson.Designer.cs">
      <DependentUpon>FormJson.cs</DependentUpon>
    </Compile>
    <Compile Include="FormMain.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormMain.Designer.cs">
      <DependentUpon>FormMain.cs</DependentUpon>
    </Compile>
    <Compile Include="FormParity.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormParity.Designer.cs">
      <DependentUpon>FormParity.cs</DependentUpon>
    </Compile>
    <Compile Include="FormPing.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormPing.Designer.cs">
      <DependentUpon>FormPing.cs</DependentUpon>
    </Compile>
    <Compile Include="Models\DTU.cs" />
    <Compile Include="Models\DTUConfig.cs" />
    <Compile Include="Models\DTUConfigCollections.cs" />
    <Compile Include="Models\DTUConfigEnums.cs" />
    <Compile Include="Models\DTUSystemState.cs" />
    <Compile Include="Models\GatewayBase.cs" />
    <Compile Include="Models\SniffDeviceInfo.cs" />
    <Compile Include="Models\StringLengthAttribute.cs" />
    <Compile Include="Models\UpgradeInfo.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Protocols\GatewayProtocolBase.cs" />
    <Compile Include="Protocols\XModem.cs" />
    <Compile Include="Protocols\XorSum16.cs" />
    <Compile Include="Protocols\CRC16.cs" />
    <Compile Include="Protocols\DTUProtocol.cs" />
    <Compile Include="Protocols\SniffReplyInfo.cs" />
    <Compile Include="Resource.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resource.resx</DependentUpon>
    </Compile>
    <Compile Include="StringMsg.cs" />
    <Compile Include="UserControls\CollectionEditorEx.cs" />
    <Compile Include="UserControls\ToolStripEx.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UserControls\UcDeviceList.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UserControls\UcDeviceList.Designer.cs">
      <DependentUpon>UcDeviceList.cs</DependentUpon>
    </Compile>
    <Compile Include="UserControls\UcDTUPanel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="UserControls\UcDTUPanel.Designer.cs">
      <DependentUpon>UcDTUPanel.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="FormAbout.resx">
      <DependentUpon>FormAbout.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FormBase.resx">
      <DependentUpon>FormBase.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FormConfig.resx">
      <DependentUpon>FormConfig.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FormJson.resx">
      <DependentUpon>FormJson.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FormMain.resx">
      <DependentUpon>FormMain.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FormParity.resx">
      <DependentUpon>FormParity.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FormPing.resx">
      <DependentUpon>FormPing.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="Resource.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resource.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="UserControls\UcDeviceList.resx">
      <DependentUpon>UcDeviceList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="UserControls\UcDTUPanel.resx">
      <DependentUpon>UcDTUPanel.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="bin\Debug\Config.ini" />
    <None Include="bin\Debug\GatewayTool.exe.config" />
    <None Include="bin\Debug\log4net.config" />
    <None Include="bin\Debug\Log\2023-03-24.log" />
    <None Include="bin\Debug\Log\2023-03-25.log" />
    <None Include="bin\Debug\Log\2023-03-27.log" />
    <None Include="bin\Debug\Log\2023-03-28.log" />
    <None Include="bin\Debug\Log\2023-03-29.log" />
    <None Include="bin\Debug\Log\2023-03-30.log" />
    <None Include="bin\Debug\Log\2023-03-31.log" />
    <None Include="bin\Debug\Log\2023-04-03.log" />
    <None Include="bin\Debug\Log\2023-04-04.log" />
    <None Include="bin\Debug\Log\2023-04-06.log" />
    <None Include="bin\Debug\Log\2023-04-07.log" />
    <None Include="bin\Debug\Log\2023-04-08.log" />
    <None Include="bin\Debug\Log\2023-04-10.log" />
    <None Include="bin\Debug\Log\2023-04-11.log" />
    <None Include="bin\Debug\Log\2023-04-12.log" />
    <None Include="bin\Debug\Log\2023-04-13.log" />
    <None Include="bin\Debug\Log\2023-04-14.log" />
    <None Include="bin\Debug\Log\2023-04-17.log" />
    <None Include="bin\Debug\Log\2023-04-18.log" />
    <None Include="bin\Debug\Log\2023-04-19.log" />
    <None Include="bin\Debug\Log\2023-04-20.log" />
    <None Include="bin\Debug\Log\2023-04-21.log" />
    <None Include="bin\Debug\Log\2023-04-23.log" />
    <None Include="bin\Debug\Log\2023-04-24.log" />
    <None Include="bin\Debug\Log\2023-04-25.log" />
    <None Include="bin\Debug\Log\2023-04-26.log" />
    <None Include="bin\Debug\Log\2023-04-27.log" />
    <None Include="bin\Debug\Log\2023-04-28.log" />
    <None Include="bin\Debug\Log\2023-05-04.log" />
    <None Include="bin\Debug\Log\2023-05-05.log" />
    <None Include="bin\Debug\Log\2023-05-06.log" />
    <None Include="bin\Debug\Log\2023-05-08.log" />
    <None Include="bin\Debug\Log\2023-05-17.log" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\gateway.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\favicon.ico" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="bin\Debug\GatewayTool.exe" />
    <Content Include="bin\Debug\GatewayTool.pdb" />
    <Content Include="bin\Debug\Newtonsoft.Json.dll" />
    <Content Include="bin\Debug\WjwLib.API.Algorithm.dll" />
    <Content Include="bin\Debug\WjwLib.API.Communication.dll" />
    <Content Include="bin\Debug\WjwLib.API.Configuration.dll" />
    <Content Include="bin\Debug\WjwLib.API.File.dll" />
    <Content Include="bin\Debug\WjwLib.API.System.dll" />
    <Content Include="bin\Debug\WjwLib.Control.IPAddressBox.dll" />
    <Content Include="bin\Debug\WjwLib.Control.LEDNumber.dll" />
    <Content Include="bin\Debug\WjwLib.Control.LogWindow.dll" />
    <Content Include="bin\Debug\WjwLib.Control.Switcher.dll" />
    <Content Include="bin\Debug\WjwLib.Control.WaitLayer.dll" />
    <Content Include="bin\Debug\WjwLib.Frame.FormBase.dll" />
    <Content Include="bin\Debug\WjwLib.Frame.Log.dll" />
    <Content Include="favicon.ico" />
    <None Include="Resources\dtu.png" />
    <None Include="Resources\Refresh.png" />
    <None Include="Resources\open.png" />
    <None Include="Resources\device.png" />
    <None Include="Resources\dtu.jpg" />
    <None Include="Resources\export.png" />
    <None Include="Resources\import.png" />
    <None Include="Resources\start.png" />
    <None Include="Resources\stop.png" />
    <None Include="Resources\favimg.png" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="bin\Release\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>